NOVOS REQUISITOS PARA APLICAÇÕES ANDROID

A partir de 1º de agosto, o Google Play exige que os novos aplicativos sejam voltados pelo menos para o Android 9.0 (nível API 28) e que as atualizações de todos os aplicativos direcionem para o Android 9.0 até 1º de novembro de 2019. O que implicam essas mudanças nos requisitos para as aplicações desenvolvidas em GeneXus?

Cada nova versão do Android apresenta alterações que trazem melhorias significativas na segurança e no rendimento; e aprimoram a experiência do usuário do Android em geral. 

Algumas dessas alterações se aplicam apenas a aplicativos que declaram explicitamente suporte por meio de seu atributo de manifesto targetSdkVersion (também conhecido como nível de API de destino). 

Configurar seu aplicativo para segmentar um nível de API recente garante que os usuários possam se beneficiar dessas melhorias, permitindo que ele seja executado em versões anteriores do Android. A orientação para um nível de API recente também permite que seu aplicativo aproveite os recursos mais recentes da plataforma para satisfazer seus usuários.  Neste link, os desenvolvedores do Android podem se aprofundar sobre as boas práticas a esse respeito e saber como atender a esses requisitos no nível da API.

A boa noticia é que com o upgrade 3 de GeneXus 16, estas mudanças e requisitos do APIS para o Google Play são feitos automaticamente.
Em conclusão: GeneXus 16 Upgrade 3 ou superior é o que você precisa para publicar um novo aplicativo no Google Play a partir de 1 de agosto, e também para publicar uma atualização a partir de 1º de novembro de 2019.

Outras notícias relacionadas na Wiki da Comunidade GeneXus
HowTo: publicar um aplicativo no Google Play
Requisitos do Android
Anúncio para usuários do Android que usam APIs do Google Cloud Messaging e do Google Places